#ifndef SW_CACHE_H
#define SW_CACHE_H

/**
 * Copyright (C) 2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "request.h"

#if WANT_SQLITE
extern void sql_init(void);
extern void sql_quit(void);
extern int  sql_exec(stralloc *sql);

extern void cache_init(void);
extern void cache_content(request_t *r);
#endif

#endif /* SW_CACHE_H */
