
/**
 * Copyright (C) 2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "scan.h"

unsigned int scan_dbg(const char *src, unsigned int *section, unsigned int *level)
{
	unsigned int l;
	const char *c;

	if (!(c=src)) return 0;

	l=scan_uint(c, section);
	if (!l) return 0;
	c+=l;

	if (*c != ',') return 0;
	c+=1;

	l=scan_uint(c, level);
	if (!l) return 0;
	c+=l;

	return c-src;
}
