
/**
 * Copyright (C) 2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "strallocX.h"
#include "fmt.h"

int stralloc_cat_pad(stralloc *sa, const char *src, unsigned long srclen, unsigned long padlen, unsigned long maxlen)
{
	if (stralloc_readyplus(sa, fmt_pad(0,src,srclen,padlen,maxlen))) {
		sa->len+=fmt_pad(sa->s+sa->len,src,srclen,padlen,maxlen);
		return 1;
	}

	return 0;
}
