
/**
 * Copyright (C) 2001-2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "strallocX.h"
#include "fmtX.h"

int stralloc_cat_u32pw(stralloc *sa, unsigned long i, int pad, char with)
{
	if (stralloc_readyplus(sa, fmt_u32pw(0,i,pad,with))) {
		sa->len+=fmt_u32pw(sa->s+sa->len,i,pad,with);
		return 1;
	}

	return 0;
}
