#ifndef CONTROL_H
#define CONTROL_H

/**
 * Copyright (C) 2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* libowfat */
#include "buffer.h"
#include "scan.h"
#include "stralloc.h"

/* squidwall */
#include "log.h"
#include "request.h"

extern int control_readline(char *filename, stralloc *line, char *old);
extern int control_readint(char *filename, int *i);

#endif
