#ifndef M_STRALLOCX_H
#define M_STRALLOCX_H

/**
 * Copyright (C) 2001-2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "stralloc.h"

/*
 * some extensions to the standard stralloc routines
 */

extern int stralloc_cat_int(stralloc *sa, int in);
extern int stralloc_cat_uint(stralloc *sa, unsigned int in);
extern int stralloc_cat_x32pw(stralloc *sa, unsigned long i, int pad, char with);
extern int stralloc_cat_u32pw(stralloc *sa, unsigned long i, int pad, char with);

extern int stralloc_cat_pad(stralloc *sa, const char *src, unsigned long srclen,
			    unsigned long padlen, unsigned long maxlen);

#endif /* M_STRALLOCX_H */
